> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitau.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Categories



## OpenAPI

````yaml GET /api/categories/
openapi: 3.0.0
info:
  title: Vitau API
  x-logo:
    url: https://vitau-logos.s3.us-west-1.amazonaws.com/profile-logo.png
    backgroundColor: '#FFFFFF'
  version: v2
servers:
  - url: https://api-v2.vitau.mx/
security:
  - APIKeyAuth: []
  - JWTAuth: []
  - CookieAuth: []
paths:
  /api/categories/:
    parameters: []
    get:
      tags:
        - api
      operationId: api_categories_list
      parameters:
        - name: search
          in: query
          description: A search term.
          required: false
          schema:
            type: string
        - name: ordering
          in: query
          description: Which field to use when ordering the results.
          required: false
          schema:
            type: string
        - name: page
          in: query
          description: A page number within the paginated result set.
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - count
                  - results
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Category'
components:
  schemas:
    Category:
      required:
        - name
      type: object
      properties:
        id:
          title: ID
          type: integer
          readOnly: true
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
        updated_at:
          title: Updated at
          type: string
          format: date-time
          readOnly: true
        name:
          title: Nombre
          type: string
          maxLength: 100
          minLength: 1
        parent:
          title: Category's parent
          type: integer
          nullable: true
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    JWTAuth:
      type: apiKey
      in: header
      name: Bearer
    CookieAuth:
      type: apiKey
      in: header
      name: sessionid

````